flutter_suncalc 0.1.0

  • Readme
  • Changelog
  • Installing
  • 77

flutter_suncalc #

A port of the suncalc library from https://github.com/mourner/suncalc

This code is based on the original Javascript suncalc by Vladimir Agafonkin ("mourner").

Usage Example #

import 'package:flutter_suncalc/flutter_suncalc.dart';

var date = new DateTime();

// get today's sunlight times for London
var times = SunCalc.getTimes(date, 51.5, -0.1);

// format sunrise time from the Date object
var sunriseStr = times["sunrise"].toLocal();

// get position of the sun (azimuth and altitude) at today's sunrise
var sunrisePos = SunCalc.getPosition(times["sunrise"], 51.5, -0.1);

// get sunrise azimuth in degrees
var sunriseAzimuth = sunrisePos["azimuth"] * 180 / PI;

0.1.0 #

  • Initial Open Source release.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_suncalc: ^0.1.0

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_suncalc/flutter_suncalc.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
59
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
77
Learn more about scoring.

We analyzed this package on Jul 2, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.8.4
  • pana: 0.13.13
  • Flutter: 1.17.5

Analysis suggestions

Package not compatible with SDK dart

because of import path [flutter_suncalc] that is in a package requiring null.

Health issues and suggestions

Document public APIs. (-1 points)

39 out of 39 API elements have no dartdoc comment.Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API.

Format lib/flutter_suncalc.dart.

Run flutter format to format lib/flutter_suncalc.dart.

Format lib/src/date_utils.dart.

Run flutter format to format lib/src/date_utils.dart.

Format lib/src/moon_utils.dart.

Run flutter format to format lib/src/moon_utils.dart.

Fix additional 3 files with analysis or formatting issues.

Additional issues in the following files:

  • lib/src/position_utils.dart (Run flutter format to format lib/src/position_utils.dart.)
  • lib/src/sun_utils.dart (Run flutter format to format lib/src/sun_utils.dart.)
  • lib/src/time_utils.dart (Run flutter format to format lib/src/time_utils.dart.)

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and flutter_suncalc.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.12 1.14.13
meta 1.1.8
sky_engine 0.0.99
typed_data 1.1.6 1.2.0
vector_math 2.0.8
Dev dependencies
flutter_test